<?php
declare(strict_types=1);
namespace PpPhp\Packages\Ui\Ppui\Foundation\Contracts;
interface RegistryInterface
{
    public function register(DefinitionInterface $definition): void;
    public function has(string $id): bool;
    public function get(string $id): ?DefinitionInterface;
    public function all(): array;
    public function toArray(): array;
}
